harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Leo Li" <liyilei1...@gmail.com>
Subject Re: New IBM VME available soon
Date Tue, 08 Aug 2006 06:13:22 GMT
Hi, Oliver:
     I am willing to implement the
org.apache.harmony.luni.platform.Environment class with
the  two  getenv() methods.

Good luck!


On 8/8/06, Geir Magnusson Jr <geir@pobox.com> wrote:
>
> Great news.
>
> In the future, could you please prefix the subject line with something
> appropriate, like [general]?  It helps people prioritize and such...
>
> thanks
>
>
> Oliver Deakin wrote:
> > Hi all,
> >
> > I'm pleased to announce that a new 5.0 level IBM VME will be made
> > available soon at:
> >  http://www-128.ibm.com/developerworks/java/jdk/harmony/index.html
> >
> > The new VME downloads are named Harmony-vme-win.IA32-v4.zip and
> > Harmony-vme-linux.IA32-v4.tar.gz. I would like to stress that if you
> > download these packages now, they will *not* work with the class library
> > code currently in Harmony Subversion. I have created a new JIRA
> > (HARMONY-1084) containing patches for Harmony classlib and  the Eclipse
> > Harmony plugin which are required to be able to use the new VME. The
> > patches make the following changes:
> > - Change Java build target from jsr14 to 1.5 :)
> > - Change the bootclasspath system property name from
> > com.ibm.oti.system.class.path to org.apache.harmony.boot.class.path
> > - Create a new org.apache.harmony.luni.platform.Environment class that
> > contains two (currently stubbed) getenv() methods. Once these methods
> > are implemented, VM writers will be able to redirect System.getenv()
> > calls to this class.
> > - Rename clearvm.dll/libclearvm.so to harmonyvm.dll/libharmonyvm.so, and
> > update the launchers reference to this library.
> > - Rename clearvm.properties to harmonyvm.properties, and update the
> > Eclipse plugin to find this file.
> > - Update tests.api.java.lang.reflect.ArrayTest and
> > tests.api.java.lang.ThreadGroupTest to reflect changes between 1.4 and
> > 5.0 behaviour.
> >
> >
> > Once the classlib patch has been applied, you will need to download the
> > new VME in order to continue developing with the IBM VM. The previous
> > version of the VME will no longer be compatible.
> >
> > I will send out a further mail when the new VME is available to download
> > and use.
> >
> > Regards,
> > Oliver
> >
>
> ---------------------------------------------------------------------
> Terms of use : http://incubator.apache.org/harmony/mailing.html
> To unsubscribe, e-mail: harmony-dev-unsubscribe@incubator.apache.org
> For additional commands, e-mail: harmony-dev-help@incubator.apache.org
>
>


-- 
Leo Li
China Software Development Lab, IBM

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message